from parallels.core.global_context import GlobalMigrationContext


class ExpandGlobalMigrationContext(GlobalMigrationContext):
    """
    :type session_files: parallels.plesk.source.expand.session_files.ExpandSessionFiles
    :type conn: parallels.plesk.source.expand.connections.ExpandMigratorConnections
    :type expand_data: parallels.plesk.source.expand.expand_data.model.Model
    """
    def __init__(self):
        super(ExpandGlobalMigrationContext, self).__init__()
        self.conn = None
        self.session_files = None
        self.expand_data = None
